Package com.avaya.clientservices.messaging

## Class MessagingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.messaging.MessagingException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class MessagingException
      extends java.lang.Exception
      implements java.io.Serializable

  Exception representing a messaging failure.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessagingException​(MessagingError error)` |
    `MessagingException​(MessagingError error, int protocolErrorCode, java.lang.String protocolErrorReason)` |
    `MessagingException​(java.lang.String detailMessage, MessagingError error, int protocolErrorCode, java.lang.String protocolErrorReason)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MessagingError` | `getError()` | Returns messaging error type.
    `int` | `getProtocolErrorCode()` | Returns the error code from the underlying signaling protocol.
    `java.lang.String` | `getProtocolErrorReason()` | Returns the error reason string from the underlying signaling protocol.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagingException

          public MessagingException​(MessagingError error)

    - #### MessagingException

          public MessagingException​(MessagingError error,
                                    int protocolErrorCode,
                                    java.lang.String protocolErrorReason)

    - #### MessagingException

          public MessagingException​(java.lang.String detailMessage,
                                    MessagingError error,
                                    int protocolErrorCode,
                                    java.lang.String protocolErrorReason)

  - ### Method Detail

    - #### getError

          public MessagingError getError()

      Returns messaging error type.
      Returns:
        messaging error type.

    - #### getProtocolErrorCode

          public int getProtocolErrorCode()

      Returns the error code from the underlying signaling protocol.
      Returns:
        the error code from the underlying signaling protocol.

    - #### getProtocolErrorReason

          public java.lang.String getProtocolErrorReason()

      Returns the error reason string from the underlying signaling protocol.
      Returns:
        the error reason string from the underlying signaling protocol.